/* table0.css */

/* these apply to the whole table */
table {
    font-family: arial, helvetica, sans-serif;
    font-size: 0.9em;            /* 90% of standard font */
    font-weight: normal;
    border-collapse: collapse;
    border: none;
    margin-left: 5px;
    margin-right: 10px;
    margin-bottom: 0.8em;
    caption-side: top;
}
/* table cell -- can't have margin settings, any set will be ignored */
td, th  {         
    border: 1px solid black;
    padding-left: 0.4em;
    padding-right: 0.4em;
    padding-top: 0.2em;
    padding-bottom: 0.4em;
    vertical-align: top;     /* changed 16/06/2016 */
}
th  {
    text-align: center;
}
/* In some tables, may be overridden in individual table cells... */
td  {
    text-align: left;
}
table tr:nth-child(2n+1) {
    background-color: #f2f2f2;  /* R colour 248 (R.COLOURS.xls) */
}

table.inverts4 {
    table-layout: auto;
}

/*  based on webpage by CHRIS COYIER, APRIL 27, 2011 */
@media only screen and (max-width: 625px) {
    caption {
        display: none;   /* prevent caption being shown above col1 */
    }
/* 2-col records tables (2013, 2014, ...) */
    table.records2 td:nth-of-type(1):before {
        content: "date";
        font-weight: normal;
    }
    table.records2 td:nth-of-type(2):before { content: "records"; }
    table.records2 td:nth-of-type(1) {
        font-weight: bold;
        font-size: large;
    }

/* 2-col species tables (birds, mammals) */
    table.species2 td:nth-of-type(1):before {
        content: "species";
        font-weight: normal;
    }
    table.species2 td:nth-of-type(2):before { content: "status"; }
    table.species2 td:nth-of-type(1) {
        font-weight: bold;
        font-size: large;
        padding-top: 0.8em;
        padding-bottom: 0.8em;
    }

/* 4-col species tables (plants) */
    table.plants4 td:nth-of-type(1):before { content: "species"; }
    table.plants4 td:nth-of-type(2):before { content: "English"; }
    table.plants4 td:nth-of-type(3):before { content: "category"; }
    table.plants4 td:nth-of-type(4):before { content: "status"; }

/* special 4-col species table for Bryophytes */
    table.bryophytes4 td:nth-of-type(1):before { content: "species"; }
    table.bryophytes4 td:nth-of-type(2):before { content: "English"; }
    table.bryophytes4 td:nth-of-type(3):before { content: "location"; }
    table.bryophytes4 td:nth-of-type(4):before { content: "status"; }

/* special 4-col table for Poplar growth */
    table.poplars4 td:nth-of-type(1):before { content: "statistic"; }
    table.poplars4 td:nth-of-type(2):before { content: "2016"; }
    table.poplars4 td:nth-of-type(3):before { content: "2017"; }
    table.poplars4 td:nth-of-type(4):before { content: "2018"; }

/* special 4-col table for Invertebrates */
    table.inverts4 td:nth-of-type(1):before { content: "species"; }
    table.inverts4 td:nth-of-type(2):before { content: "English"; }
    table.inverts4 td:nth-of-type(3):before { content: "taxon"; }
    table.inverts4 td:nth-of-type(4):before { content: "status"; }

/* 2-col TASKS table */
    table.tasks2 td:nth-of-type(1):before {
        content: "date";
        font-weight: normal;
        font-size: large;
    }
    table.tasks2 td:nth-of-type(2):before { content: "task"; }
    table.tasks2 td:nth-of-type(1) { font-weight: bold; }

/* 2-col AIMS tables */
    table.aims2 td:nth-of-type(1):before {
        content: "species";
        font-weight: normal;
    }
    table.aims2 td:nth-of-type(2):before { content: "notes"; }
    table.aims2 td:nth-of-type(1) { font-weight: bold; }
}

@media only screen and (min-width: 626px) {
/* special 4-col table for Invertebrates */
    table.inverts4 {
        table-layout: fixed;
        width: 98%;
    }
/*    table.inverts4 th:nth-of-type(1) { width: 20%;} -- doesn't work */
    table.inverts4 th:nth-child(1) { width: 16%;} 
    table.inverts4 th:nth-child(2) { width: 16%;}
    table.inverts4 th:nth-child(3) { width: 16%;}
    table.inverts4 th:nth-child(4) { width: 52%;}

    td img.picrhs {
        width: 100%;
    }
}


